import request from '@/utils/request'

// 查询个微营期详情列表
export function listWxSopUserInfo(query) {
  return request({
    url: '/wx/wxSopUserInfo/list',
    method: 'get',
    params: query
  })
}

// 查询个微营期详情详细
export function getWxSopUserInfo(id) {
  return request({
    url: '/wx/wxSopUserInfo/' + id,
    method: 'get'
  })
}

// 新增个微营期详情
export function addWxSopUserInfo(data) {
  return request({
    url: '/wx/wxSopUserInfo',
    method: 'post',
    data: data
  })
}

// 修改个微营期详情
export function updateWxSopUserInfo(data) {
  return request({
    url: '/wx/wxSopUserInfo',
    method: 'put',
    data: data
  })
}

// 删除个微营期详情
export function delWxSopUserInfo(id) {
  return request({
    url: '/wx/wxSopUserInfo/' + id,
    method: 'delete'
  })
}

// 导出个微营期详情
export function exportWxSopUserInfo(query) {
  return request({
    url: '/wx/wxSopUserInfo/export',
    method: 'get',
    params: query
  })
}